<?php
namespace nur\sery\wip\schema\input;

use nur\sery\wip\php\access\IAccess;
use nur\sery\wip\php\access\PostAccess;

/**
 * Class PostInput: accès à des paramètres de formulaire de type POST uniquement
 *
 * cette implémentation lit depuis les paramètres de formulaire et écrit dans
 * une référence
 */
class PostInput extends FormInput {
  protected function formAccess($key): IAccess {
    return new PostAccess($key, [
      "allow_empty" => $this->allowEmpty,
    ]);
  }
}
